module Player
  module Adapters
    module Spotify
      class << self
        def play
          `osascript -e 'tell application "Spotify" to play'`
        end

        def pause
          `osascript -e 'tell application "Spotify" to pause'`
        end

        def being_played?
          script = %q{
            echo $(osascript <<EOF
              set state to missing value

              if application "Spotify" is running then
                tell application "Spotify"
                  set state to (player state as text)
                end tell
              end if

              return state is equal to "playing"
            EOF)
          }

          `#{script}`.strip == 'true'
        end
      end
    end
  end
end
