module Notifier
  class Base
    class << self
      def init
        self.tap { @adapter = adapter }
      end

      def run(message)
        @adapter.run(message)
      end

      private

      def adapter
        Adapters::Say
      end
    end
  end
end
